Diligent Engine API Reference: Diligent::CommandListBase< BaseInterface > Class Template Reference

Diligent Engine API Reference

Public Member Functions | List of all members
Diligent::CommandListBase< BaseInterface > Class Template Reference

Template class implementing base functionality for a command list object. More...

Inheritance diagram for Diligent::CommandListBase< BaseInterface >:

## Public Member Functions
| CommandListBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, bool bIsDeviceInternal=false)
Public Member Functions inherited from Diligent::DeviceObjectBase< BaseInterface, CommandListDesc >
| DeviceObjectBase (IReferenceCounters *pRefCounters, IRenderDevice *pDevice, const CommandListDesc &ObjDesc, bool bIsDeviceInternal=false)
UniqueIdentifier | GetUniqueID () const
| Returns unique identifier. More...

## Additional Inherited Members
Protected Attributes inherited from Diligent::DeviceObjectBase< BaseInterface, CommandListDesc >
const String | m_ObjectNameCopy
| Copy of a device object name. More...
CommandListDesc | m_Desc
| Object description.

## Detailed Description

### template<class BaseInterface>
class Diligent::CommandListBase< BaseInterface >

Template class implementing base functionality for a command list object.

Template Parameters

  BaseInterface | - base interface that this class will inheret (Diligent::ICommandListD3D11 or Diligent::ICommandListD3D12).

## Constructor & Destructor Documentation

## ◆ CommandListBase()

template<class BaseInterface>

Diligent::CommandListBase< BaseInterface >::CommandListBase | ( | IReferenceCounters * | pRefCounters,
|  | IRenderDevice * | pDevice,
|  | bool | bIsDeviceInternal = `false`
| ) |  |
| inline

Parameters

  pRefCounters | - reference counters object that controls the lifetime of this command list.
  pDevice | - pointer to the device.
  bIsDeviceInternal | - flag indicating if the CommandList is an internal device object and must not keep a strong reference to the device.